Eclipse Platform Release 3.7

## org.eclipse.ui.views.properties.tabbed
Class AbstractTypeMapper

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractTypeMapper

All Implemented Interfaces:
  ITypeMapper

    public class AbstractTypeMapper

extends Object
implements ITypeMapper

Default implementation of a type mapper.

Constructor Summary
`AbstractTypeMapper()`

Method Summary
`Class` `mapType(Object object)` Map the input object to a domain model type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTypeMapper

    public AbstractTypeMapper()

Method Detail

### mapType

    public Class mapType(Object object)

  Description copied from interface: `ITypeMapper`
  Map the input object to a domain model type.

  Specified by:
    `mapType` in interface `ITypeMapper`
  Parameters:
    `object` - the input object.
  Returns:
    the type of the input object, mapped to the domain type if required.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.